commit adb5f0f1bbf55748312a2ab5fb4f91e3a928639f
Author: freddy77 <freddy77>
Date:   Wed Jul 21 20:12:17 2010 +0000

    move setlocale call to applications to avoid global side effects

diff --git a/ChangeLog b/ChangeLog
index 11fee4c..f09568d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Wed Jul 21 22:12:05 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/bsqldb.c src/apps/bsqlodbc.c src/apps/datacopy.c:
+	* src/apps/defncopy.c src/apps/fisql/fisql.c src/apps/freebcp.c:
+	* src/apps/tsql.c src/tds/locale.c src/tds/mem.c:
+	- move setlocale call to applications to avoid global side effects
+
 Wed Jul 21 07:56:18 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/convert_tds2sql.c src/tds/mem.c:
 	- avoid core if locale not detected
@@ -2716,4 +2722,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3083 2010/07/21 05:56:27 freddy77 Exp $
+$Id: ChangeLog,v 1.3084 2010/07/21 20:12:17 freddy77 Exp $
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index c59db09..f54b5d9 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -49,7 +49,7 @@
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.43 2010/06/27 23:58:12 berryc Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.44 2010/07/21 20:12:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef _WIN32
@@ -115,6 +115,8 @@ main(int argc, char *argv[])
 	DBPROCESS *dbproc;
 	RETCODE erc;
 
+	setlocale(LC_ALL, "");
+
 	/* Initialize db-lib */
 	erc = dbinit();	
 	if (erc == FAIL) {
diff --git a/src/apps/bsqlodbc.c b/src/apps/bsqlodbc.c
index 39a0744..603c695 100644
--- a/src/apps/bsqlodbc.c
+++ b/src/apps/bsqlodbc.c
@@ -50,7 +50,7 @@
 #include <sqlext.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqlodbc.c,v 1.15 2010/06/27 23:58:12 berryc Exp $";
+static char software_version[] = "$Id: bsqlodbc.c,v 1.16 2010/07/21 20:12:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char * next_query(void);
@@ -223,6 +223,8 @@ main(int argc, char *argv[])
 	SQLRETURN erc;
 	const char *sql;
 
+	setlocale(LC_ALL, "");
+
 	memset(&options, 0, sizeof(options));
 	options.headers = stderr;
 	login = get_login(argc, argv, &options); /* get command-line parameters and call dblogin() */
diff --git a/src/apps/datacopy.c b/src/apps/datacopy.c
index d8e8dd7..15c92ac 100644
--- a/src/apps/datacopy.c
+++ b/src/apps/datacopy.c
@@ -110,6 +110,8 @@ main(int argc, char **argv)
 	DBPROCESS *dbsrc;
 	DBPROCESS *dbtarget;
 
+	setlocale(LC_ALL, "");
+
 	memset(&params, '\0', sizeof(params));
 
 	if (process_parameters(argc, argv, &params) == FALSE) {
diff --git a/src/apps/defncopy.c b/src/apps/defncopy.c
index 2d04824..cb1a579 100644
--- a/src/apps/defncopy.c
+++ b/src/apps/defncopy.c
@@ -87,7 +87,7 @@ int getopt(int argc, const char *argv[], char *optstring);
 #endif
 #endif /* MicrosoftsDbLib */
 
-static char software_version[] = "$Id: defncopy.c,v 1.21 2010/06/27 23:58:12 berryc Exp $";
+static char software_version[] = "$Id: defncopy.c,v 1.22 2010/07/21 20:12:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifndef MicrosoftsDbLib
@@ -143,6 +143,8 @@ main(int argc, char *argv[])
 	RETCODE erc;
 	int i, nrows;
 
+	setlocale(LC_ALL, "");
+
 #ifdef __VMS
         /* Convert VMS-style arguments to Unix-style */
         parse_vms_args(&argc, &argv);
diff --git a/src/apps/fisql/fisql.c b/src/apps/fisql/fisql.c
index 3c2d0a9..ef300c2 100644
--- a/src/apps/fisql/fisql.c
+++ b/src/apps/fisql/fisql.c
@@ -268,6 +268,8 @@ main(int argc, char *argv[])
 	int nby;
 	char adash;
 
+	setlocale(LC_ALL, "");
+
 #ifdef __VMS
         /* Convert VMS-style arguments to Unix-style */
         parse_vms_args(&argc, &argv);
diff --git a/src/apps/freebcp.c b/src/apps/freebcp.c
index 7942cab..9af3fa7 100644
--- a/src/apps/freebcp.c
+++ b/src/apps/freebcp.c
@@ -50,7 +50,7 @@
 #include <sybdb.h>
 #include "freebcp.h"
 
-static char software_version[] = "$Id: freebcp.c,v 1.55 2010/06/27 23:58:12 berryc Exp $";
+static char software_version[] = "$Id: freebcp.c,v 1.56 2010/07/21 20:12:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 void pusage(void);
@@ -74,6 +74,8 @@ main(int argc, char **argv)
 	DBPROCESS *dbproc;
 	int ok = FALSE;
 
+	setlocale(LC_ALL, "");
+
 #ifdef __VMS
         /* Convert VMS-style arguments to Unix-style */
         parse_vms_args(&argc, &argv);
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index 543bff4..b48640c 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -87,7 +87,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.135 2010/06/27 23:58:12 berryc Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.136 2010/07/21 20:12:18 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -675,6 +675,8 @@ main(int argc, char **argv)
 		return 1;
 	}
 
+	setlocale(LC_ALL, "");
+
 	/* grab a login structure */
 	login = tds_alloc_login();
 
@@ -696,7 +698,6 @@ main(int argc, char **argv)
 	tds_set_parent(tds, NULL);
 	connection = tds_read_config_info(tds, login, context->locale);
 
-	setlocale(LC_ALL, "");
 	locale = setlocale(LC_ALL, NULL);
 
 #if HAVE_LOCALE_CHARSET
diff --git a/src/tds/locale.c b/src/tds/locale.c
index 8190f36..fe47b65 100644
--- a/src/tds/locale.c
+++ b/src/tds/locale.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998-1999  Brian Bruns
- * Copyright (C) 2005-2007  Frediano Ziglio
+ * Copyright (C) 2005-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -45,7 +45,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: locale.c,v 1.29 2010/06/27 17:46:43 berryc Exp $");
+TDS_RCSID(var, "$Id: locale.c,v 1.30 2010/07/21 20:12:18 freddy77 Exp $");
 
 
 static void tds_parse_locale(const char *option, const char *value, void *param);
@@ -73,7 +73,6 @@ tds_get_locale(void)
 		tds_read_conf_section(in, "default", tds_parse_locale, locale);
 
 #if HAVE_LOCALE_H
-		setlocale(LC_ALL, "");
 		s = setlocale(LC_ALL, NULL);
 #else
 		s = getenv("LANG");
diff --git a/src/tds/mem.c b/src/tds/mem.c
index f3167c3..de4a355 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.202 2010/07/21 05:56:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.203 2010/07/21 20:12:18 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -834,7 +834,6 @@ tds_alloc_connection(TDSLOCALE * locale)
 	connection->tds_version = TDS_DEFAULT_VERSION;
 	connection->block_size = 0;
 
-	setlocale(LC_ALL, "");
 #if HAVE_NL_LANGINFO && defined(CODESET)
 	charset = nl_langinfo(CODESET);
 	if (strcmp(tds_canonical_charset_name(charset), "US-ASCII") == 0)

